# petsc4py.PETSc.Random

class petsc4py.PETSc.Random

  Bases: `Object`

  The random number generator object.

  See also

  `PetscRandom`

  Enumerations

  `Type` | The random number generator type.

  Methods Summary

  `create`([comm]) | Create a random number generator object.
  `destroy`() | Destroy the random number generator object.
  `getInterval`() | Return the interval containing the random numbers generated.
  `getSeed`() | Return the random number generator seed.
  `getType`() | Return the type of the random number generator object.
  `getValue`() | Generate a scalar random number.
  `getValueReal`() | Generate a real random number.
  `setFromOptions`() | Configure the random number generator from the options database.
  `setInterval`(interval) | Set the interval of the random number generator.
  `setSeed`([seed]) | Set the seed of random number generator.
  `setType`(rnd_type) | Set the type of the random number generator object.
  `view`([viewer]) | View a random number generator object.

  Attributes Summary

  `interval` | The interval of the generated random numbers.
  `seed` | The seed of the random number generator.

  Methods Documentation

  create(comm=None)

    Create a random number generator object.

    Collective.

    Parameters:

      comm (Comm | None) – MPI communicator, defaults to `Sys.getDefaultComm`.

    Return type:

      Self

    See also

    `Sys.getDefaultComm`, `PetscRandomCreate`

    Source code at petsc4py/PETSc/Random.pyx:74

  destroy()

    Destroy the random number generator object.

    Collective.

    See also

    `PetscRandomDestroy`

    Source code at petsc4py/PETSc/Random.pyx:61

    Return type:

      Self

  getInterval()

    Return the interval containing the random numbers generated.

    Not collective.

    See also

    `setInterval`, `PetscRandomGetInterval`

    Source code at petsc4py/PETSc/Random.pyx:199

    Return type:

      tuple[Scalar, Scalar]

  getSeed()

    Return the random number generator seed.

    Not collective.

    See also

    `setSeed`, `PetscRandomGetSeed`

    Source code at petsc4py/PETSc/Random.pyx:166

    Return type:

      int

  getType()

    Return the type of the random number generator object.

    Not collective.

    See also

    `setType`, `PetscRandomGetType`

    Source code at petsc4py/PETSc/Random.pyx:112

    Return type:

      str

  getValue()

    Generate a scalar random number.

    Not collective.

    See also

    `PetscRandomGetValue`

    Source code at petsc4py/PETSc/Random.pyx:138

    Return type:

      Scalar

  getValueReal()

    Generate a real random number.

    Not collective.

    See also

    `PetscRandomGetValueReal`

    Source code at petsc4py/PETSc/Random.pyx:152

    Return type:

      float

  setFromOptions()

    Configure the random number generator from the options database.

    Collective.

    See also

    Working with PETSc options, `PetscRandomSetFromOptions`

    Source code at petsc4py/PETSc/Random.pyx:126

    Return type:

      None

  setInterval(interval)

    Set the interval of the random number generator.

    Not collective.

    See also

    `getInterval`, `PetscRandomSetInterval`

    Source code at petsc4py/PETSc/Random.pyx:214

    Parameters:

      interval (tuple[Scalar, Scalar])

    Return type:

      None

  setSeed(seed=None)

    Set the seed of random number generator.

    Not collective.

    Parameters:

      seed (int | None) – The value for the seed. If `None`, it only seeds the generator.

    Return type:

      None

    See also

    `getSeed`, `PetscRandomSetSeed`, `PetscRandomSeed`

    Source code at petsc4py/PETSc/Random.pyx:180

  setType(rnd_type)

    Set the type of the random number generator object.

    Collective.

    Parameters:

      rnd_type (Type | str) – The type of the generator.

    Return type:

      None

    See also

    `getType`, `PetscRandomSetType`

    Source code at petsc4py/PETSc/Random.pyx:93

  view(viewer=None)

    View a random number generator object.

    Collective.

    Parameters:

      viewer (Viewer | None) – A `Viewer` instance or `None` for the default viewer.

    Return type:

      None

    See also

    `PetscRandomView`

    Source code at petsc4py/PETSc/Random.pyx:41

  Attributes Documentation

  interval

    The interval of the generated random numbers.

    Source code at petsc4py/PETSc/Random.pyx:241

  seed

    The seed of the random number generator.

    Source code at petsc4py/PETSc/Random.pyx:233